program ASFDemoFull;

uses
  Forms,
  ASFDemoMain in 'ASFDemoMain.pas' {frm_Main},
  SysUtils,
  GDIPAPI,
  ASFLists in '..\ASFLists.pas',
  ASFMain in '..\ASFMain.pas';

{$R *.res}

var
  Anim1: TAnimationFrames;
  SplashImagePath, s: string;
  i: Integer;

begin
  SplashImagePath := ExtractFilePath(ParamStr(0)) + 'img\';

  AnimationSplashForm := TAnimationSplashForm.CreateFrom(SplashImagePath + 'Splash.png');
  //   ,       
//  AnimationSplashForm := TAnimationSplashForm.CreateEmptyBackGround(196, 273, 72, 72);

  //     
  AnimationSplashForm.ShowTaskbarButton := True;
  //  ,  ShowTaskbarButton = True
  AnimationSplashForm.SplashFormCaption := '...';
  //    
  AnimationSplashForm.SplashFormTopMost := False;
  //     
  //   , .. SetTimerInterval * FadeSpeed
  AnimationSplashForm.FadeSpeed := 7;
  //   
  AnimationSplashForm.SetTimerInterval(15);

//  
  ProgressTextItem := AnimationSplashForm.TextData.AddNewItem;
  with AnimationSplashForm.TextData.Items[ProgressTextItem] do begin
    //  
    Visible := True;
    //   
    VisibleShadow := True;
    //     
    TextBox := MakeRect(20, 190, 145, 20);
    //  
    Color := $FFF0F0F4;
    //  
    ShadowColor := $FF6C6C39;
    // 
    FontName := 'Verdana';
    FontSize := 11;
    //   
    PositionH := StringAlignmentCenter;
  end;

//  
  with AnimationSplashForm.ProgressBar^ do begin
    //   
    BarVisible := True;
    //    
    BarBorderVisible := True;
    //   
    BarBox := MakeRect(27, 212, 130, 10);
    //   
    BarColor := $60FFFFFF;
    //  
    BarBorderColor := $80F0F0F0;
  end;


  //   , ,  
  i := AnimationSplashForm.TextData.AddNewItem;
  with AnimationSplashForm.TextData.Items[i] do begin
    Visible := True;
    Text := 'version: 1.0.0.0';
    TextBox := MakeRect(27, 252, 130, 10);
    FontSize := 8;
    FontStyle := FontStyleItalic;
    PositionH := StringAlignmentCenter;
  end;


// 
  //  
  AnimationSplashForm.ProgressIconsVisible := True;
  //    ( )    LoadingPartTime
  // 100 ,       (LoadingPartTime),
  // 50 -    
  AnimationSplashForm.IconFullPaintPercent := 100;
  //    
  AnimationSplashForm.IconAnimation := iaFade;
  //    -  
  AnimationSplashForm.IconPosLeft := 23;
  //    -  
  AnimationSplashForm.IconPosTop := 226;
  //   
  AnimationSplashForm.IconSpace := 2;
  //  .    ..
  //   . = 0,     .
  AnimationSplashForm.IconStep := 25;
  //    
  AnimationSplashForm.Icons.LoadFromFile(SplashImagePath + 'Icons.dat');
{  //         
  //       
  AnimationSplashForm.Icons.AddFromFile(SplashImagePath + 'Styles.png');    // 1
  AnimationSplashForm.Icons.AddFromFile(SplashImagePath + 'Properties.png');// 2
  AnimationSplashForm.Icons.AddFromFile(SplashImagePath + 'Com.png');       // 3
  AnimationSplashForm.Icons.AddFromFile(SplashImagePath + 'Mui.png');       // 4
  AnimationSplashForm.Icons.AddFromFile(SplashImagePath + 'Interface.png'); // 5
  AnimationSplashForm.Icons.SaveToFile(SplashImagePath + 'Icons.dat');}


// 
  //  
  AnimationSplashForm.AnimationsAddFromFile(SplashImagePath + 'Animation.dat');
{  //         
  //       
  Anim1 := TAnimationFrames.Create;
  try
    Anim1.DelayBetweenImages := 3;
    //     
    Anim1.DelayBetweenPassage := 0;
    Anim1.PositionLeft := 42;
    Anim1.PositionTop := 79;
    for I := 0 to 17 do begin
      s := IntToStr(i);
      if Length(s) = 1 then
        s := '0' + s;
      Anim1.AddFromFile(SplashImagePath + 'Animation ' + s + '.png');
    end;
    AnimationSplashForm.AnimationsAdd(Anim1);
    Anim1.SaveToFile(SplashImagePath + 'Animation.dat');
  finally
    Anim1.Free;
  end;}

  //     
  //   ProgressBarCurrentPart   1
  AnimationSplashForm.ProgressBarSectionsCount := 5;

  //  Splash
  AnimationSplashForm.StartSplash;

  Application.Initialize;
  Application.CreateForm(Tfrm_Main, frm_Main);
  //   
  AnimationSplashForm.CloseSplash(30, True);

  Application.Run;
end.